Subject: bug#27511: 26.0.50; emacsclient requires file argument

From: James Nguyen <[email-masked]>
Date: Wed, 28 Jun 2017 10:22:19 -0700

At the very least, I understand how to use emacsclient (e.g. to connect to a running emacs server).

I am just wondering if it makes sense to give an error message instead of `falling back` the way ‘emacs’ does. (scratch buffer or title screen (though a title screen might not make sense assuming the server/emacs instance was already started)).

I’ve also been told emacsclient used to be able to handle the ‘no file arguments’ case, although I can’t confirm if this is true or not.

https://www.reddit.com/r/emacs/comments/45mtdz/can_someone_explain_why_emacsclient_requires_a/

Shows 1 or 2 users being able to use emacsclient without passing a file argument.

> On Jun 28, 2017, at 10:03 AM, Ken Brown <[email-masked]> wrote:
> 
> On 6/28/2017 11:00 AM, James Nguyen wrote:
>> "Emacs simply displays those files; otherwise, it displays a buffer named *scratch*, which can be used to evaluate Emacs Lisp expressions interactively."
>> I think it’s preferable it behaves just like regular ‘emacs’ does, opening a *scratch* buffer as a fallback.
> 
> I think you're misunderstanding the purpose of emacsclient:
> 
> $ emacsclient --help
> Usage: emacsclient [OPTIONS] FILE...
> Tell the Emacs server to visit the specified files.
> 
> 
> See https://www.gnu.org/software/emacs/manual/html_node/emacs/Emacs-Server.html#Emacs-Server for typical use cases.
> 
> Ken